<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">

    <title>P-Share Site Web</title>

    <!-- Bootstrap core CSS -->
    <link href="bootstrap-4.0.0-alpha.6/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/index.css" rel="stylesheet">
  </head>

  <body class="text-center">
    <div class="container d-flex h-100 p-3 mx-auto flex-column">
      <header class="mb-auto ml-auto ml-md-0 mr-auto mr-md-0">
        <nav class="nav navbar-toggleable-sm navbar-dark bg-dark">
          <a class="navbar-brand d-none d-md-inline-block">P-Share Site Web</a>
          <div class="navbar-nav">
            <a class="nav-item nav-link" href="index.html">Accueil</a>
            <a class="nav-item nav-link" href="objectifs.html">Objectifs</a>
            <a class="nav-item nav-link active" href="cahier_charges.html">Cahier des charges</a>
            <a class="nav-item nav-link" href="presentation.html">Présentation</a>
            <a class="nav-item nav-link" href="architecture.html">Architecture</a>
            <a class="nav-item nav-link" href="limites.html">Limites et améliorations</a>
          </div>
        </nav>
      </header>

      <main role="main" class="inner cover">
      	<h4>Introduction</h4>
				<p class="lead text-justify">Dans le cadre de l’UV NF28, il a été demandé aux étudiants de trouver une idée d’application informatique (avec interface) à développer. L’application se doit d’avoir un côté original et de posséder une interface répondant aux problématiques de l’UX Design. Par groupes de quatre, chacun a réfléchi à un outil répondant aux critères demandés.</p>
				<p class="lead text-justify">L’idée d’application qu’a retenue notre groupe se nomme <em>P-Share</em>. Cet outil permettra de partager des idées de projets (pas qu’en informatique) entre les étudiants de l’UTC, pour ainsi faciliter la création ou le développement de projets. L’idée est de relier ceux qui ont des idées de projets avec ceux qui en ont les compétences, ce qui répond au principe de l’offre et de la demande. La plateforme facilitera aussi les interactions entre les différents porteurs de projets (canaux de discussions, planification de rendez-vous, etc.).</p>
				<p class="lead text-justify">Ce cahier des charges a pour objectif de montrer l’intérêt d’une telle application par le biais d’une étude auprès d’utilisateurs, par l’analyse de potentiels concurrents, ainsi que par le positionnement de cet outil. Les fonctionnalités attendues de l’application seront également détaillées.</p>
				<p class="lead text-justify">Il faut savoir que l’on développera dans cet UV les fonctionnalités principales de l’application. Cette dernière sera ensuite reprise plus tard par une association de l’UTC, Hack’UTC, qui développera le reste des fonctionnalités.</p>
				<h4>Étude des utilisateurs</h4>
				<p class="lead text-justify">Afin de déterminer l’intérêt de notre future application P-Share, nous avons effectué une enquête auprès d’utilisateurs. Pour ce faire, nous avons publié sur le groupe Facebook de l’UTC, ainsi que sur le forum Moodle de l’UV, un formulaire Google Form.</p>
				<p class="lead text-justify">L’échantillon interrogé est sans doute assez représentatif de la population d’utilisateurs visée (UTCéens), bien qu’assez réduit.</p>
				<p class="lead text-justify">Nous avons obtenu un total de 27 réponses. Voici les <span style="color: #71f7fc;">questions</span> et leurs <span style="color: #ef5166;">réponses</span>, suivies de leur analyse&nbsp;:</p>
				<h5>Questions d’ordre général sur les projets</h5>
				<p class="lead text-justify">Nous avons posé des questions assez générales sur les projets, nous permettant ainsi de mieux cerner le sujet et de montrer l’intérêt du développement d’une application sur le sujet.</p>
				<p class="question text-justify">Avez-vous des idées de projets que vous n’avez pas le temps/les moyens/les compétences pour le réaliser ?</p>
				<img src="img/question-1.png" class="img-fluid" />
				<p class="question text-justify">Avez-vous envie de réaliser ou d’aider à la réalisation d’un projet, mais ne trouvez pas d’idées/de personnes pour le réaliser ?</p>
				<img src="img/question-2.png" class="img-fluid" />
				<table>
					<tbody>
						<tr>
							<th>Compte</th>
							<th colspan="5">Réalisation</th>
						</tr>
						<tr>
							<th>Idée</th>
							<th>Non</th>
							<th>Parfois</th>
							<th>Régulièrement</th>
							<th>Tout le temps</th>
							<th>Total</th>
						</tr>
						<tr>
							<td>Non</td>
							<td>0</td>
							<td>4</td>
							<td>0</td>
							<td>0</td>
							<td>4</td>
						</tr>
						<tr>
							<td>Parfois</td>
							<td>3</td>
							<td>11</td>
							<td>3</td>
							<td>0</td>
							<td>17</td>
						</tr>
						<tr>
							<td>Régulièrement</td>
							<td>0</td>
							<td>3</td>
							<td>1</td>
							<td>0</td>
							<td>4</td>
						</tr>
						<tr>
							<td>Tout le temps</td>
							<td>0</td>
							<td>1</td>
							<td>1</td>
							<td>0</td>
							<td>2</td>
						</tr>
						<tr>
							<th>Total</th>
							<th>3</th>
							<th>19</th>
							<th>5</th>
							<th>0</th>
							<th>27</th>
						</tr>
					</tbody>
				</table>
				<p class="question text-justify">Quel·s critère·s vous semble·nt le·s plus important·s pour choisir un projet&nbsp;?</p>
				<img src="img/question-3.png" class="img-fluid" />
				<p class="question text-justify">Quel est le meilleur moyen de communiquer sur un projet d’après vous&nbsp;?</p>
				<img src="img/question-4.png" class="img-fluid" />
				<p class="answer text-justify">On observe que la plateforme envisagée répond à un besoin réel (mettre en relation les idées et les réalisations). On voit aussi que ce besoin ne s’exprime pas souvent pour la majorité de l’échantillon interrogé. Il est donc nécessaire de faciliter au mieux la publication des idées de projet.<br>On observe aussi que la proportion de personnes prêtes à réaliser des projets correspond globalement à celle des personnes ayant des idées de projet. Un tableau croisé dynamique nous révèle que ce sont souvent les mêmes personnes qui ont des idées et qui ont envie de réaliser des projets.</p>
				<h5>Questions liées à l’application</h5>
				<p class="lead text-justify">Le reste des questions concernaient l’application que l’on souhaite développer. Les réponses nous permettent de mieux pouvoir établir les fonctionnalités de l’outil, et de pouvoir par la suite imaginer des scénarios d’utilisation de l’application.</p>
				<p class="question text-justify">Trouveriez-vous intéressant le fait d’avoir une plateforme permettant de partager des idées de projets&nbsp;?</p>
				<img src="img/question-5.png" class="img-fluid" />
				<p class="question text-justify">Qu’attendriez-vous en termes de fonctionnalités d’une telle application&nbsp;?</p>
				<p class="lead text-justify">Exemples de réponses&nbsp;:</p>
				<ul class="lead text-justify">
					<li>&quot;Des rôles pour les utilisateurs afin de situer qui fait quoi dans le projet et voir tout de suite les rôles manquants&quot;</li>
					<li>&quot;Facilité de recherche de projet&quot;</li>
					<li>&quot;Entrer en contact direct avec les porteurs, avoir des sections de présentation claires&quot;</li>
				</ul>
				<p class="question text-justify">Que pensez-vous de l’utilité de ces fonctionnalités&nbsp;?</p>
				<ul class="question text-justify">
					<li>Soutenir des idées de projet grâce à un système de <strong>vote</strong></li>
					<li>Pour chaque idée de projet proposés, renseigner&nbsp;: le <strong>thème</strong>, la <strong>portée</strong>, les <strong>technologies du projet</strong>&hellip;</li>
					<li><strong>Recherche</strong> avancée de projets en fonction de critères de recherche (localisation, thèmes, technologies, durée, &hellip;)</li>
					<li>Faciliter les <strong>interactions</strong> entre les porteurs des projets grâce à des fonctionnalités dédiées (canaux de discussions, planification de rendez-vous, &hellip;)</li>
				</ul>
				<img src="img/question-6.png" class="img-fluid" />
				<p class="question text-justify">Que faites-vous quand vous avez une idée de projet&nbsp;?</p>
				<p class="lead text-justify">Exemples de réponses&nbsp;:</p>
				<ul class="lead text-justify">
					<li>&quot;Rien, je ne sais pas comment les réaliser&quot;</li>
					<li>&quot;Je cherche les idées qui pourraient m’être utile&quot;</li>
					<li>&quot;Je réfléchis à comment la mettre en œuvre&quot;</li>
					<li>&quot;Notes sur mon téléphone puis oubli ou suppression plus ou moins volontaire&quot;</li>
				</ul>
				<p class="question text-justify">Que faites-vous quand vous voulez participer ou réaliser un projet&nbsp;?</p>
				<p class="lead text-justify">Exemples de réponses&nbsp;:</p>
				<ul class="lead text-justify">
					<li>&quot;Je préviens les porteurs de projets par mail&quot;</li>
					<li>&quot;Je me renseigne en amont sur la pertinence du projet annoncé, sur l'objectif&quot;</li>
					<li>&quot;Je fais des recherches&quot;</li>
				</ul>
				<p class="question text-justify">Connaissez-vous
des outils répondant déjà (même partiellement) à ce besoin&nbsp;? Si oui,
lesquels&nbsp;?</p>
				<p class="lead text-justify">Exemples de réponses&nbsp;:</p>
				<ul class="lead text-justify">
					<li>&quot;Je n'en connais pas&quot;</li>
					<li>&quot;Là, je ne vois pas&hellip;&quot;</li>
					<li>&quot;Discord, Google drive&quot;</li>
				</ul>
				<p class="question text-justify">Sur quel·s support·s souhaiteriez-vous avoir une telle application&nbsp;?</p>
				<img src="img/question-7.png" class="img-fluid" />
				<p class="question text-justify">Préféreriez-vous utiliser une application logicielle ou un site web&nbsp;?</p>
				<img src="img/question-8.png" class="img-fluid">
				<p class="answer text-justify">Le projet semble intéresser la quasi-totalité des personnes interrogées (attention cependant, les personnes intéressées sont aussi plus susceptibles d’avoir répondu à notre formulaire).<br>Les attentes principales de l’application ont été la facilité de prise en main et la clarté des informations présentées (sur la réalisabilité notamment), ainsi que la mise à disposition de moyens d’agir sur la réalisation d’un projet (contact des porteurs du projet).<br>Les réponses des utilisateurs montrent bien l'existence d’un besoin, besoin auquel répondra notre application.<br>Au vu des réponses sur les supports, une application web devrait répondre aux attentes de la majorité des utilisateurs.</p>
				<h4>Étude de logiciels concurrents</h4>
				<p class="lead text-justify">Avant de nous décider sur les différentes fonctionnalités à implémenter à notre application, nous avons étudié les logiciels déjà existants qui pouvaient répondre à la problématique de notre projet.</p>
				<h5>L’outil Kanban</h5>
				<p class="lead text-justify">Kanban Tool est outil de gestion de projet basé sur des processus visuels qui aide les équipes à travailler plus efficacement, à visualiser le flux de travail, à analyser et à améliorer les processus métier en accord avec la méthode Kanban.</p>
				<p class="lead text-justify">Les fonctionnalités proposées par cet outil sont les suivantes&nbsp;:</p>
				<ul class="lead text-justify">
					<li>Planifier, surveiller et améliorer les performances du projet à l'aide d'un diagramme de flux cumulé et de rapports de temps de cycle.</li>
					<li>Permettre aux clients et aux membres de l'équipe de collaborer facilement en temps réel en partageant des tâches, des informations et des commentaires, à tout moment et de n'importe où.</li>
					<li>Utiliser des cartes Kanban, des couleurs, des couloirs, des étiquettes et des dates d'échéance pour composer un travail sur le tableau Kanban.</li>
				</ul>
				<p class="lead text-justify">Cependant, cet outil permet la gestion d’un projet avec une équipe déjà formée, travaillant généralement dans la même entreprise sur un sujet déterminé par celle-ci. Ainsi, elle ne répond pas réellement à notre envie de mettre en relation les initiateurs de projets et
				ceux qui veulent y participer.</p>
				<h5>Cofondateur.fr</h5>
				<p class="lead text-justify">Cofondateur est une plateforme de mise en relation entre des porteurs de projet et des développeurs passionnés par l'entrepreneuriat. Ce site rassemble des centaines d’utilisateurs déterminés à trouver un projet d’entreprenariat.</p>
				<p class="lead text-justify">Le site est divisé en deux parties&nbsp;:</p>
				<ul class="lead text-justify">
					<li>d’un côté les développeurs avec quelques informations sur eux&nbsp;: leur photo, nom, localisation, compétence·s et expérience·s</li>
					<li>de l’autre les porteurs de projets avec également une photo, une localisation, le nom du projet, sa description et son stade d’avancement</li>
				</ul>
				<p class="lead text-justify">Cet outil correspond à nos attentes par rapport à la mise en relation entre les deux parties prenantes du projet&nbsp;: l’initiateur et les futurs collaborateurs du projet.<br>Seulement, il ne propose aucun outil de communication ou de gestion de projets&nbsp;: ainsi il manque un côté interactif à cette plateforme.</p>
				<h5>Qmarkets</h5>
				<p class="lead text-justify">Qmarkets est un outil de centralisation d’idées innovantes, conçu pour permettre aux entreprises de centraliser les idées émises par les employés, collaborateurs et clients.</p>
				<p class="lead text-justify">Les fonctionnalités proposées par cet outil sont les suivantes&nbsp;:</p>
				<ul class="lead text-justify">
					<li>Offre une interface utilisateur moderne et interactive, disponible sur tout périphérique</li>
					<li>Exécution d’un brainstorming en ligne</li>
					<li>Utilise des outils de vote de foule intelligents</li>
					<li>Outils de gestion de projet intégrés</li>
					<li>Rapports configurables et polyvalents</li>
				</ul>
				<p class="lead text-justify">Cette plateforme, dédiée surtout aux entreprises, répond à la plupart de nos attentes concernant les objectifs de notre application. Néanmoins, celle-ci reste dans un cadre professionnel ouvert seulement aux entreprises et commerciaux et non aux étudiants souhaitant s’investir dans des projets nouveaux et originaux.</p>
				<h4>Positionnement</h4>
				<p class="lead text-justify">Afin de trouver une place parmi la concurrence partiellement décrite ci-dessus, il est important de trouver un positionnement intéressant pour notre projet P-Share. Nous avons ainsi développé cinq axes sur lesquels nous souhaitons nous positionner&nbsp;:</p>
				<ul class="lead text-justify">
					<li><p style="text-decoration: underline;">Une application pour les UTCéens, par les UTCéens</p><p>L’application sera interne à l’UTC. Elle permettra aux UTCéens de proposer leur projet ou de rechercher des propositions de projets. Seuls les étudiants pourront ainsi proposer un projet et ils ne seront diffusés qu’aux personnes internes à l’UTC. L’application est alors recentrée sur un public limité, qui ne dispose pas d’outils similaires. Cela permettra donc aux étudiants de partager ou de rechercher des projets personnels, mais aussi de potentielles TX/PR ou de projets dans le cadre d’UV comme NF28.</p></li>
					<li><p style="text-decoration: underline;">Une application permettant une discussion autour des projets</p><p>Si la concurrence permet surtout de partager ou de rechercher un projet, il est rare de pouvoir donner son avis ou d’améliorer un projet. P-Share permet le partage d’avis, avec un système de vote (upvote/downvote) ainsi qu’un fil de discussion. L’application n’est alors plus un annuaire de projets à la recherche de collaborateurs, mais aussi et surtout un outil collaboratif permettant de faire évoluer des concepts et potentiels projets. De plus, une personne intéressée pourra directement entrer en contact avec le porteur du projet pour en discuter directement depuis la plateforme si elle le souhaite.</p></li>
					<li><p style="text-decoration: underline;">Une application évolutive et vivante</p><p>Si la première version développée dans le cadre de l’UV NF28 sera pleinement fonctionnelle, l’application sera évolutive. Elle sera reprise par l’association Hack’UTC dans le but de recueillir les premiers retours des utilisateurs et ainsi proposer de nouvelles fonctionnalités. L’idée étant d’avoir une application toujours plus proche de ses utilisateurs, c’est-à-dire de la communauté UTCénne.</p></li>
					<li><p style="text-decoration: underline;">Une application open-source</p><p>Si la plupart des concurrents sont basés sur un code-source propriétaire et inaccessible à ses utilisateurs, le code source de P-Share sera public. La plateforme développée sera une plateforme collaborative, de par le partage de projets, mais également par la publication du code source aux UTCéens. Cela permettra alors une contribution des étudiants sur l’application.</p></li>
					<li><p style="text-decoration: underline;">Une application centrée sur la recherche</p><p>Sur les outils concurrents, il est souvent difficile de retrouver des projets qui peuvent nous intéresser, puisqu’ils sont noyés dans la masse des projets. Afin de répondre à ce problème, l’application P-Share disposera d’une recherche par critères évoluée et personnalisable. De plus, les projets étant internes à l’UTC, il sera naturellement plus simple de s’y retrouver dans les projets proposés, afin de trouver les projets nous correspondant le plus.</p></li>
				</ul>
				<p class="lead text-justify">Ces cinq axes permettent un positionnement précis pour notre application, qui lui permettra alors de se démarquer largement de la concurrence et de répondre à un besoin qui n’est pas satisfait à l’heure actuelle.</p>
				<h4>Fonctionnalités</h4>
				<h5>Fonctionnalités souhaitées pour le projet NF28</h5>
				<p class="lead text-justify">L’outil que l’on souhaite développer sera une application web, car elle sera adaptative à tous les formats (mobile, tablette, PC), ce qui répond au mieux aux attentes des utilisateurs comme vu précédemment.</p>
				<p class="lead text-justify">L’interface contient un accueil principal contenant une liste des projets proposés sur la plateforme. En cliquant sur un bouton, on peut publier un nouveau projet grâce à un formulaire.</p>
				<p class="lead text-justify">La liste est adaptative&nbsp;: on peut filtrer les projets affichés (par géolocalisation, par nombre de membres, par thème&hellip;), les trier (par demande, activité, proximité&hellip;) ou encore épingler certains projets (paramètres propre à chaque utilisateur).</p>
				<p class="lead text-justify">On peut également accéder aux détails d’un projet et y participer en cliquant sur le projet en question dans la liste. On peut alors voir un résumé du projet (thème, sujet, participants&hellip;) et l’activité du projet&nbsp;: les objectifs et leur avancement, et les actualités du projet pour les utilisateurs qui ne font que suivre le projet sans y participer activement. On peut aussi demander à participer au projet, le prendre en charge s’il n’est pas encore pris en charge ou encore simplement marquer son intérêt (upvote) ou suivre (s’abonner) le projet. Il y a également un système de planification par calendrier, par exemple pour des rendez-vous, en ligne ou en présentiel.</p>
				<p class="lead text-justify">Voici un résumé des fonctionnalités triées par priorité de développement&nbsp;:</p>
				<ul class="lead text-justify">
					<li>Système de publication de projet (formulaire)</li>
					<li>Visualisation des détails</li>
					<li>Interactions avec les projets</li>
					<li>Tri selon les votes et critères</li>
					<li>Filtrage par critères (géographique, nombre de membres, thème)</li>
					<li>Upvote/downvote</li>
				</ul>
				<h5>Fonctionnalités futures, développables par l’association Hack'UTC</h5>
				<p class="lead text-justify">On pourra intégrer un fil de commentaires (discussion) à chaque projet, visible sur la page du projet.</p>
				<p class="lead text-justify">On pourra intégrer le système de planification à l’aide d’un serveur CalDAV, pour permettre aux participants d’intégrer ce calendrier sur leur outil habituel.</p>
				<p class="lead text-justify">On installera un serveur de mails pour envoyer des notifications des nouvelles d’un projet (on peut s’abonner à des projets), ainsi qu’un flux RSS.</p>
				<p class="lead text-justify">On développera un système de chat entre les membres d’un projet et une section commentaires ouverte pour discuter de chaque projet.</p>
				<p class="lead text-justify">On pourra développer un système de scoring qui récompense l’activité des utilisateurs sur l’application, ou de l’intérêt porté sur leurs projets.</p>
      </main>
      <footer class="mastfoot mt-auto">
        <div class="inner">
          <p>Réalisé par HIERNARD Stéphane, MISRAR Imane, WAUQUIER Elouan, DIEBOLD Aymerik.</p>
        </div>
      </footer>
    </div>


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script>window.jQuery || document.write('<script src="../../assets/js/vendor/jquery-slim.min.js"><\/script>')</script>
    <script src="bootstrap-4.0.0-alpha.6/dist/js/bootstrap.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  </body>
</html>
